Construct a new Font Descriptor

- « UI\Draw\Text\Font\Descriptor

- UI\Draw\Text\Font\Descriptor::getFamily »

- PHP Manual
- UI\Draw\Text\Font\Descriptor
- Construct a new Font Descriptor

# UI\Draw\Text\Font\Descriptor::__construct

(UI 0.9.9)

UI\Draw\Text\Font\Descriptor::__construct — Construct a new Font Descriptor

### Description

public UI\Draw\Text\Font\Descriptor::__construct(
string `$family`,
float `$size`,
int `$weight` = UI\Draw\Text\Font\Weight::Normal,
int `$italic` = UI\Draw\Text\Font\Italic::Normal,
int `$stretch` = UI\Draw\Text\Font\Stretch::Normal
)

Shall construct a new Font Descriptor

### Parameters

`family`

  The name of a valid family of fonts

`size`

  The preferred size

`weight`

  UI\Draw\Text\Font\Weight constant

`italic`

  UI\Draw\Text\Font\Italic constant

`stretch`

  UI\Draw\Text\Font\Stretch constant